#!/usr/bin/env python

import sys , threading , time 
sys.dont_write_bytecode = True
from PyQt5 import QtCore, QtGui, QtWidgets


class Screen(QtWidgets.QWidget):
	def __init__(self, parent=None):
		super(Screen, self).__init__(parent)
		self.label = QtWidgets.QLabel( "Hello" , self )
		self.label.setGeometry( 20, 20, 100, 100 )
		t = threading.Thread(target=self.updateWidget, args=())
		t.start()		
	def updateWidget(self ):
		iVal = 0
		while True:
			iVal = iVal +1
			self.label.setText( str(iVal) )
			time.sleep(1)



if __name__ == '__main__':
	app = QtWidgets.QApplication(sys.argv);
	ex = Screen();
	ex.show();
	sys.exit(app.exec_())